%define name	libcpdf
%define version 2.02r1
%define release %mkrel 4
%define major	2
%define libname	%mklibname cpdf %{major}

Summary:	PDF manipulating library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Freeware
Group:		System/Libraries
Source0:	http://www.fastio.com/clibpdf202r1.tar.bz2
Source1:	%{name}-examples.Makefile.bz2
Patch0:		%{name}-makefile.patch.bz2
Patch1:		%{name}-config.patch.bz2
URL:		http://www.fastio.com/
BuildRequires:	zlib-devel >= 1.1.4
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a library of ANSI C functions, for creating PDF files directly
via C.

This package is in PLF because of its license.

%package -n %{libname}
Group:		System/Libraries
Summary:	PDF manipulating library
Requires:	zlib >= 1.1.4

%description -n %{libname}
This is a library of ANSI C functions, for creating PDF files directly
via C.

This package is in PLF because of its license.

%package -n %{libname}-devel
Summary:	Header files needed for libcpdf development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libcpdf-devel
Requires:	zlib-devel

%description -n %{libname}-devel
This package includes the header files for developing programs using
libcpdf.

This package is in PLF because of its license.

%package -n %{libname}-static-devel
Summary:	Static development libraries for %{name}
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Requires:	zlib-devel

%description -n %{libname}-static-devel
This package includes static libcpdf libraries.

This package is in PLF because of its license.

%prep
%setup -q -n ClibPDF
%patch0 -p0
%patch1 -p1
chmod 644 doc/*.pdf
find examples -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'

bzcat %{SOURCE1} > examples/Makefile

# remove useless files
rm -f examples/Makefile.*

%build
cd source
%make -f Makefile.Linux shlib \
	CFLAGS="%{optflags} -DLinux -fPIC" \
	VERSION="%{version}"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}

install -m 644 source/cpdflib.h %{buildroot}%{_includedir}
install -m 755 source/libcpdf.so.*.* %{buildroot}%{_libdir}
(cd %{buildroot}%{_libdir} ; ln -sf libcpdf.so.*.* libcpdf.so)

install -m 644 source/libcpdf.a %{buildroot}%{_libdir}/


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc source/ChangeLog doc/*.txt fonts/README* LICENSE* 
%{_libdir}/libcpdf.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/*.pdf examples
%{_libdir}/libcpdf.so
%{_includedir}/cpdflib.h

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/libcpdf.a

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 2.02r1-4plf
- %%mkrel
- fix doc files encoding

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 2.02r1-3plf
- rebuild 

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.02r1-2plf
- fix license
- fix packager
- PLF reason
- spec cleanup

* Mon Jan 13 2003 Guillaume Rousse <guillomovitch@plf.zarb.org> 2.02r1-1plf
- contributed by Oden Eriksson <oden.eriksson@kvikkjokk.net>
 - inital cooker contrib, ripped from PLD and adapted for ML
